> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verificar Restrições de Callback

> Validar uma configuração de callback proposta antes de salvar

# Verificar Restrições de Callback

Valida uma configuração de callback proposta sem persistir as alterações. Útil para exibir erros na interface antes de submeter [Definir Agente como Callback](/api-reference/endpoints/set-agent-as-callback) ou [Atualizar Origens de Callback](/api-reference/endpoints/update-callback-sources).

## Endpoint

```
POST /api/v1/callback-agents/{agent_id}/check-constraints
```

## Parâmetros de caminho

<ParamField path="agent_id" type="string" required>UUID do agente sendo configurado como callback.</ParamField>

## Cabeçalhos da requisição

<ParamField header="Authorization" type="string" required>
  Token Bearer para autenticação. Formato: `Bearer talq_your_environment_token_here`
</ParamField>

<ParamField header="Content-Type" type="string" required>
  Deve ser definido como `application/json`
</ParamField>

## Corpo da requisição

<ParamField body="is_callback_agent" type="boolean">Indica se este agente deve ser marcado como agente de callback.</ParamField>
<ParamField body="callback_source_agents" type="array">Array de UUIDs de agentes de origem.</ParamField>
<ParamField body="callback_trigger_statuses" type="array">Status das chamadas dos agentes de origem que tornam um contato elegível para callback (ex: `["no_answer", "voicemail"]`).</ParamField>

## Exemplos

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/callback-agents/agent-uuid-1/check-constraints" \
    -H "Authorization: Bearer talq_your_environment_token_here" \
    -H "Content-Type: application/json" \
    -d '{
      "is_callback_agent": true,
      "callback_source_agents": ["agent-uuid-2", "agent-uuid-3"],
      "callback_trigger_statuses": ["no_answer", "voicemail", "busy"]
    }'
  ```
</RequestExample>

## Resposta

### Válido

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "Configuration is valid"
  }
  ```
</ResponseExample>

### Inválido

<ResponseExample>
  ```json theme={null}
  {
    "success": false,
    "message": "Configuration has errors",
    "errors": [
      "Agent must be inbound to serve as a callback agent",
      "Source agent agent-uuid-3 is not published"
    ]
  }
  ```
</ResponseExample>
